package com.caimei365.user.controller;

import com.caimei365.user.model.ResponseJson;
import com.caimei365.user.model.dto.RoosInformationDto;
import com.caimei365.user.service.RoosInformationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/12/9
 */
@Slf4j
@RestController
@RequestMapping( "/user/information")
public class RoosInformationApi {

    @Autowired private RoosInformationService roosInformationService;

    /**
     * 查看用户是否有过弹框，游客当天是否有过弹框
     * @return
     */
    @GetMapping("/isClick")
    public ResponseJson<Boolean> boolIsClick() {

        // 获取访问ip
        String ip = roosInformationService.obtainIp();
        // 查看用户是否有过弹框，游客当天是否有过弹框
        Boolean isClick = roosInformationService.boolIsClick(ip);
        return ResponseJson.success(!isClick);
    }

    /**
     * 插入填写咨询人基本信息
     * @param roosInformationDto
     * @return
     */
    @PostMapping("/insertRoos")
    public ResponseJson<String> insertRoosInformation(RoosInformationDto roosInformationDto) {
        // 获取访问ip
        String ip = roosInformationService.obtainIp();
        roosInformationDto.setIp(ip);
        roosInformationService.insRoosInformation(roosInformationDto);
        return ResponseJson.success("咨询信息插入成功");
    }

    /**
     * 查看访问者是否浏览过roos相关页面
     * @return
     */
    @GetMapping("/visitRoos")
    public ResponseJson<Boolean> selVisitRoos (String userId) {
        // 获取访问ip
        String ip = roosInformationService.obtainIp();
        Boolean visitRoos = roosInformationService.selectVisitRoos(userId,ip);
        return ResponseJson.success(visitRoos);
    }
}
