package com.caimei365.user.model.vo;

import com.caimei365.user.model.po.BaikeProductFilePo;
import com.caimei365.user.model.po.BaikeProductParamPo;
import com.caimei365.user.model.po.BaikeProductQuestionPo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;


/**
 * Description
 * @author Aslee
 * @version 2021-12-10
 */
@ApiModel("供应商保存百科商品")
@Data
public class BaikeProductFormVo {
	/**
	 * 百科商品id
	 */
	private Integer productId;

	/**
	 * 供应商id
	 */
	private Integer shopId;

	/**
	 * 分类：1产品，2仪器
	 */
	private Integer commodityType;

	/**
	 * 名称
	 */
	private String name;

	/**
	 * 别名
	 */
	private String alias;

	/**
	 * 描述
	 */
	private String discription;

	/**
	 * seo关键词
	 */
	private String seoKeyword;

	/**
	 * 图片
	 */
	private String image;

	/**
	 * 产品练级
	 */
	private String productLink;

	/**
	 * 认证链接
	 */
	private String authLink;

	/**
	 * 认证二维码
	 */
	private String authQrCode;

	/**
	 * 优点
	 */
	private String advantage;

	/**
	 * 缺点
	 */
	private String disadvantage;

	/**
	 * 原理
	 */
	private String principle;

	/**
	 * 品牌
	 */
	private String brand;

	/**
	 * 产地
	 */
	private String producePlace;

	/**
	 * 上市时间
	 */
	private String marketTime;

	/**
	 * 公司/供应商
	 */
	private String company;

	/**
	 * NMPA认证时间
	 */
	private String nmpaTime;

	/**
	 * 适应人群
	 */
	private String adaptiveMan;

	/**
	 * 不适应人群
	 */
	private String unAdaptiveMan;

	/**
	 * 术前术后
	 */
	private String aroundOperation;

	/**
	 * 发布时间
	 */
	private Date publishTime;

	/**
	 * 分类id
	 */
	private Integer typeId;

	/**
	 * 状态：0停用，1启用
	 */
	private Integer status;

	/**
	 * 参数列表
	 */
	private List<BaikeProductParamPo> paramList;

	/**
	 * 产品认证图片列表
	 */
	private List<String> authImageList;

	/**
	 * 效果展示图片列表
	 */
	private List<String> displayImageList;

	/**
	 * 问题列表
	 */
	private List<BaikeProductQuestionPo> questionList;

	/**
	 * 视频列表
	 */
	private List<BaikeProductFilePo> videoList;

	/**
	 * 推荐类型：1手动推荐，2自动推荐
	 */
	private Integer recommendType;
}